{
  Happy Arts Macrorecorder - Testprojekt
                             TestWindow
  Copyright (c) 1997,1998,1999 by Happy Arts
  Code by Matthias Leonhardt

  Compile with Borland Delphi 2 or newer
}

unit testwin;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, hamacro, ComCtrls;

type
  TTestForm = class(TForm)
    Button1: TButton;
    Button2: TButton;
    TestEdit: TEdit;
    TestButton: TButton;
    TestLabel: TLabel;
    Button4: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure TestButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TestForm: TTestForm;

implementation

{$R *.DFM}
uses
  RecMain;

const
  TestButtonClickCount: Integer = 0;

procedure TTestForm.Button1Click(Sender: TObject);
begin
  RecorderMainForm.MacroRecorder.StartRecord;
end;

procedure TTestForm.Button4Click(Sender: TObject);
begin
  RecorderMainForm.MacroRecorder.StopRecord;
end;

procedure TTestForm.Button2Click(Sender: TObject);
begin
  RecorderMainForm.MacroRecorder.StartPlay;
end;

procedure TTestForm.TestButtonClick(Sender: TObject);
begin
  TestLabel.Caption := IntToStr(TestButtonClickCount) + ' times clicked the TestButton';
  Inc(TestButtonClickCount);
end;

end.
